<?php
/**
 * Photo text slider
 *
 * @package     Photo text slider
 * @subpackage  mod_photo_text_slider
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2012/03/photo-text-slider-joomla-module/
 */
 
defined('_JEXEC') or die;

$pts_direction 	= $params->get('pts_direction', 'scrollLeft');
$pts_speed 		= (int) $params->get('pts_speed', 700);
$pts_timeout 	= (int) $params->get('pts_timeout', 5000);
$pts_name 		= $params->get('pts_name', 'wp_50_photo');

if (!is_numeric($pts_speed)) { 
	$pts_speed = 700; 
}
if (!is_numeric($pts_timeout)) { 
	$pts_timeout = 5000; 
}
?>
<!-- begin wp_50_photo -->
<div id="<?php echo $pts_name; ?>">
<?php
if ( ! empty($items) ) 
{
	foreach ( $items as $item ) 
	{
		$wp_50_path 	= $item->pts_imge;
		$wp_50_link 	= $item->pts_link;
		$wp_50_target 	= "";
		$wp_50_title 	= $item->pts_title;
		$wp_50_desc 	= $item->pts_desc;
		
		?>
		<div class="post">
			<?php if($wp_50_title <> "") { ?><h2><?php echo $wp_50_title; ?></h2><?php } ?>
			<div class="thumb">
			<?php if($wp_50_link <> "") { ?><a target="<?php echo $wp_50_target; ?>" href="<?php echo $wp_50_link; ?>"><?php } ?>
			<?php if($wp_50_path <> "") { ?><img style="border: 0px; margin: 0px;" src="<?php echo $wp_50_path; ?>" alt="" /><?php } ?>
			<?php if($wp_50_link <> "") { ?></a><?php } ?>
			</div>
			<?php if($wp_50_desc <> "") { ?><p><?php echo $wp_50_desc; ?></p><?php } ?>
		</div>
		<?php
	}
}
?>
</div>
<script type="text/javascript">
jQuery(function() {
jQuery('#<?php echo $pts_name; ?>').cycle({
	fx: '<?php echo $pts_direction; ?>',
	speed: <?php echo $pts_speed; ?>,
	timeout: <?php echo $pts_timeout; ?>
});
});
</script> 
<!-- end wp_50_photo -->